package es.uv.garcosda.domain;

import java.io.Serializable;

public class Mail implements Serializable {

	private static final long serialVersionUID = 1L;
	private User from;
	private User to;
	private String subject;
	private String body;
	
	public Mail() {}
	
	public Mail(User from, User to, String subject, String body) {
		this.from = from;
		this.to = to;
		this.subject = subject;
		this.body = body;
	}

	public User getFrom() {
		return from;
	}

	public void setFrom(User from) {
		this.from = from;
	}

	public User getTo() {
		return to;
	}

	public void setTo(User to) {
		this.to = to;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}
	
	@Override
	public String toString() {
		return String.format("Email{from=%s, to=%s, subject=%s}", this.getFrom().getEmail(), this.getTo().getEmail(), this.getSubject());
	}
	
}
