package es.uv.garcosda.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Mailbox implements Serializable  {

	private static final long serialVersionUID = 1L;
	private User user;
	private List<Mail> mails;
	
	public Mailbox() {}
	
	public Mailbox(User user) {
		this.user = user;
		mails = new ArrayList<Mail>();
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public List<Mail> getMails() {
		return mails;
	}

	public void setMails(List<Mail> mails) {
		this.mails = mails;
	}
	
	public void addMail(Mail mail) {
		this.mails.add(mail);
	}
	
	
}
